Name:		usbmuxd
Version:	1.1.0
Release:	%mkrel 2
Summary:	Daemon for communicating with Apple's iPod Touch and iPhone
Group:		System/Kernel and hardware 
License:	GPLv3+ or GPLv2+
URL:		http://www.libimobiledevice.org/
Source0:	http://www.libimobiledevice.org/downloads/%{name}-%{version}.tar.bz2

BuildRequires:	gcc-c++
BuildRequires:	libtool
BuildRequires:	pkgconfig(libimobiledevice-1.0)
BuildRequires:	pkgconfig(libplist) >= 1.11
BuildRequires:	pkgconfig(libusb-1.0)
BuildRequires:	pkgconfig(systemd)

Requires(pre):		rpm-helper
Requires(postun):	rpm-helper

%description
usbmuxd is a daemon used for communicating with Apple's iPod Touch and iPhone
devices. It allows multiple services on the device to be accessed
simultaneously.

%prep
%setup -q

%build
%configure2_5x
%make

%install
%makeinstall_std

install -d %{buildroot}%{_presetdir}
cat > %{buildroot}%{_presetdir}/86-usbmuxd.preset << EOF
enable usbmuxd.service
EOF

%pre
%_pre_useradd usbmux /proc /sbin/nologin

%postun
%_postun_userdel usbmux

%files
%doc AUTHORS README NEWS
%license COPYING.GPLv2 COPYING.GPLv3
%{_udevrulesdir}/39-%{name}.rules
%{_presetdir}/86-%{name}.preset
%{_unitdir}/%{name}.service
%{_sbindir}/%{name}
%{_mandir}/man1/%{name}.1.*


%changelog
* Fri Feb 12 2016 umeabot <umeabot> 1.1.0-2.mga6
+ Revision: 959095
- Mageia 6 Mass Rebuild

* Thu Sep 10 2015 daviddavid <daviddavid> 1.1.0-1.mga6
+ Revision: 876202
- new version: 1.1.0 (based on Fedora and Openmandriva)
- drop library and devel subpackage (upstream has split in a separate libusbmuxd package)
- fix License
- add BuildRequires on libimobiledevice, libusb and systemd
- update file list
- introduce license macro

* Tue Feb 24 2015 eatdirt <eatdirt> 1.0.9-6.mga5
+ Revision: 816769
- Removing overrequire of the binary by the library

* Wed Oct 15 2014 umeabot <umeabot> 1.0.9-5.mga5
+ Revision: 739559
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.0.9-4.mga5
+ Revision: 730688
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.0.9-3.mga5
+ Revision: 690091
- Mageia 5 Mass Rebuild

* Mon Mar 31 2014 daviddavid <daviddavid> 1.0.9-2.mga5
+ Revision: 610952
- use correct specification for required main pkg on library

* Mon Mar 31 2014 daviddavid <daviddavid> 1.0.9-1.mga5
+ Revision: 610878
- change build system to autotools from upstream
- drop udev rules and systemd service from upstream
- add autoreconf and configure for build
- add BRs on libtool and gcc-c++
- update URL and link url for Source0
- specify also the release of required packages (according to Mageia's policy)
- new version: 1.0.9

* Sun Mar 30 2014 daviddavid <daviddavid> 1.0.8-5.mga5
+ Revision: 610704
- rebuild for new libplist

* Fri Oct 18 2013 umeabot <umeabot> 1.0.8-4.mga4
+ Revision: 519899
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 1.0.8-3.mga3
+ Revision: 385157
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Oct 09 2012 blino <blino> 1.0.8-2.mga3
+ Revision: 303688
- use systemd to start usbmuxd, udev would kill it after the end of the event (from Bastien Nocera, Fedora)
- drop acl require
- drop acl patch, the udev rule already sets the device owner to usbmux

* Tue Aug 07 2012 wally <wally> 1.0.8-1.mga3
+ Revision: 279818
- new version 1.0.8
- source tarball from a new developer
- drop upstreamed CVE patch
- rediff udev patch
- clean .spec a bit

* Sat Aug 04 2012 luigiwalser <luigiwalser> 1.0.7-4.mga3
+ Revision: 278493
- add requires acl as udev rule runs setfacl

* Fri Aug 03 2012 luigiwalser <luigiwalser> 1.0.7-3.mga3
+ Revision: 278312
- add upstream patch to fix CVE-2012-0065

* Wed Aug 03 2011 colin <colin> 1.0.7-2.mga2
+ Revision: 131573
- Ensure the usbmux user can actually access the iDevice node.

* Thu Apr 14 2011 tv <tv> 1.0.7-1.mga1
+ Revision: 85192
- new version
- drop patch

* Sat Jan 15 2011 blino <blino> 1.0.6-3.mga1
+ Revision: 18985
- remove old ldconfig scriptlets
- imported package usbmuxd


* Sun Nov 28 2010 Funda Wang <fwang@mandriva.org> 1.0.6-2mdv2011.0
+ Revision: 602257
- update BR
- update produce id
- new version 1.0.6

* Thu Jul 22 2010 Christophe Fergeau <cfergeau@mandriva.com> 1.0.5-2mdv2011.0
+ Revision: 556924
- add libplist build requires

* Thu Jul 22 2010 Christophe Fergeau <cfergeau@mandriva.com> 1.0.5-1mdv2011.0
+ Revision: 556886
- usbmuxd 1.0.5

* Wed May 12 2010 Christophe Fergeau <cfergeau@mandriva.com> 1.0.4-1mdv2010.1
+ Revision: 544554
- usbmuxd 1.0.4

* Mon Apr 12 2010 Christophe Fergeau <cfergeau@mandriva.com> 1.0.3-2mdv2010.1
+ Revision: 533666
- fix patch0: apply the ACLs on the usb device node before trying to access it (was broken during the 1.0.3 rediff)

* Mon Mar 22 2010 Christophe Fergeau <cfergeau@mandriva.com> 1.0.3-1mdv2010.1
+ Revision: 526416
- rediff ACL patch
- usbmuxd 1.0.3

* Thu Feb 11 2010 Christophe Fergeau <cfergeau@mandriva.com> 1.0.2-1mdv2010.1
+ Revision: 504139
- usbmuxd 1.0.2

* Mon Dec 07 2009 Christophe Fergeau <cfergeau@mandriva.com> 1.0.0-3mdv2010.1
+ Revision: 474470
- need to actually upload libplist before attempting the rebuild ;)

* Mon Dec 07 2009 Christophe Fergeau <cfergeau@mandriva.com> 1.0.0-2mdv2010.1
+ Revision: 474467
- rebuilg against new libplist

* Mon Dec 07 2009 Christophe Fergeau <cfergeau@mandriva.com> 1.0.0-1mdv2010.1
+ Revision: 474344
- usbmuxd 1.0.0

* Fri Nov 06 2009 Colin Guthrie <cguthrie@mandriva.org> 1.0.0-0.rc2.1mdv2010.1
+ Revision: 460546
- New version: 1.0.0-rc2 (work by teuf)
- Add usbmux user
- Add ACL for usbmux user
- Apply upstream patches for smooth exit.

* Mon Sep 14 2009 Götz Waschk <waschk@mandriva.org> 0.1.4-2mdv2010.0
+ Revision: 439806
- rebuild for new libusb

* Mon Aug 10 2009 Christophe Fergeau <cfergeau@mandriva.com> 0.1.4-1mdv2010.0
+ Revision: 414335
- 0.1.4
- usbmuxd 0.1.4

* Thu Aug 06 2009 Christophe Fergeau <cfergeau@mandriva.com> 0.1.3-1mdv2010.0
+ Revision: 410626
- Fix rpm groups
- import usbmuxd


* Tue Aug  4 2009 Peter Robinson <pbrobinson@gmail.com> 0.1.3-1
- Update to 0.1.3, review input

* Mon Aug  3 2009 Peter Robinson <pbrobinson@gmail.com> 0.1.2-1
- Update to 0.1.2

* Mon Aug  3 2009 Peter Robinson <pbrobinson@gmail.com> 0.1.1-1
- Initial packaging
